<?php
/**
 * Clase Base Bean para BaseRhPensionBN
 *
 * @package    Sedapal
 * @subpackage BaseRhPensionBN
 * @author     Willy
 * @version    SVN:: BaseRhPensionBN.class.php,v 1.1 2015-01-25 15:09:40 william.taype Exp $
 */
abstract class BaseRhPensionBN
{
  protected $IdPension;
  protected $Descripcion;
  protected $Tipo;
  protected $Estado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $FechaModificacion;
  protected $UsuarioModificacion;
  protected $Mensaje;
  protected $Error;

  public function getIdPension(){
    return $this->IdPension;
  }
  public function setIdPension($v1){
    $this->IdPension = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getTipo(){
    return $this->Tipo;
  }
  public function setTipo($v1){
    $this->Tipo = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v1){
    $this->FechaModificacion = $v1; 
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v1){
    $this->UsuarioModificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_pensionBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_pensionRs )
  {
    $o_RhPensionBN = new RhPensionBN();
    $o_RhPensionBN->setIdPension( $o_Rh_pensionRs['IdPension'] );
    $o_RhPensionBN->setDescripcion( $o_Rh_pensionRs['Descripcion'] );
    $o_RhPensionBN->setTipo( $o_Rh_pensionRs['Tipo'] );
    $o_RhPensionBN->setEstado( $o_Rh_pensionRs['Estado'] );
    $o_RhPensionBN->setFecharegistro( $o_Rh_pensionRs['fecharegistro'] );
    $o_RhPensionBN->setUsuarioregistro( $o_Rh_pensionRs['usuarioregistro'] );
    $o_RhPensionBN->setEliminado( $o_Rh_pensionRs['Eliminado'] );
    $o_RhPensionBN->setFechaeliminado( $o_Rh_pensionRs['fechaeliminado'] );
    $o_RhPensionBN->setUsuarioeliminado( $o_Rh_pensionRs['usuarioeliminado'] );
    $o_RhPensionBN->setFechaModificacion( $o_Rh_pensionRs['fechaModificacion'] );
    $o_RhPensionBN->setUsuarioModificacion( $o_Rh_pensionRs['usuarioModificacion'] );
    return $o_RhPensionBN;
  }
}